Créer une attribution de rôle de compte
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/role-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "<string>"
}
'{
"expanded_capability_keys": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"role_key": "<string>",
"subject_id": "<string>",
"subject_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
Use this file to discover all available pages before exploring further.
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Schéma de demande pour créer une nouvelle attribution de rôle.
Identificateur de ressource de la portée de l'affectation
Type de ressource de portée de l'affectation
client, account, workspace, domain, dns_record, mailbox, redirect, forwarding, credential, tenant, route, proxy Clé de rôle définie par le code
viewer, editor, domain_manager, manager, dns_manager, ip_manager, billing_viewer, billing_admin, credential_manager Identifiant d’utilisateur, de groupe ou de compte de service
1Type de sujet de l’attribution de rôle : user, group ou service_account
user, group, service_account Cette page vous a-t-elle été utile ?
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/role-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "<string>"
}
'{
"expanded_capability_keys": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"role_key": "<string>",
"subject_id": "<string>",
"subject_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z"
}